- [HTTP request](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/releaseSsrsLease#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/releaseSsrsLease#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/releaseSsrsLease#body.request_body)
- [Response body](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/releaseSsrsLease#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/releaseSsrsLease#body.SqlInstancesReleaseSsrsLeaseResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/releaseSsrsLease#body.aspect)
- [Examples](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/releaseSsrsLease#examples)
- [Try it!](https://docs.cloud.google.com/sql/docs/sqlserver/admin-api/rest/v1/instances/releaseSsrsLease#try-it)

Release a lease for the setup of SQL Server Reporting Services (SSRS).

### HTTP request

`POST https://sqladmin.googleapis.com/v1/projects/{project}/instances/{instance}/releaseSsrsLease`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Required. The project ID that contains the instance. |
| `instance` | `string` Required. The Cloud SQL instance ID. This doesn't include the project ID. The instance ID contains lowercase letters, numbers, and hyphens, and it must start with a letter. This ID can have a maximum length of 98 characters. |

### Request body

The request body must be empty.

### Response body

Response for the release SSRS lease request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "operationId": string } ``` |

| Fields ||
|---|---|
| `operationId` | `string` The unique identifier for this operation. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsql`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/sqlservice.admin`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).